Topics

Attention to Mac OS maintainers


Edouard Griffiths
 

Hello,

Release v4.4.5 has just been released. It introduces a new dependency of libsdrbase on Opus library (libopus). It is present in most Linux distributions and has also been built for MSVC on Windows. I am sure Opus codec support on Mac OS is not an issue. However I have no means to modify the build files to take this into account.

So anyone willing to do a PR to fix the issue is welcome!

Best regards,
Edouard.


Žiga S.
 

Hi Edouard,

Thanks for the notice, what kind of formats/codecs are there to be used in sdr-base implementation?
Speex only?
(When only) I see no problem integrating it into OS X build.

Will try to support opus & test it ASAP.

Cheerz, Z


Edouard Griffiths
 

Hi,

it is possible that speex is a dependency. The purpose here is to get Opus support for audio transmission over the network.

Brgds, Edouard.


Edouard Griffiths
 
Edited

Hello,

sorry I was confused, Speex is required by Codec2 not Opus. I think Opus runs pretty much on its own.
Note that Codec2 is going to come next...

Brgds, Edouard.